/*
 * File:		evs.h
 * Purpose:		Additional information and commands for the MCF5206 EVS.
 *
 * Notes:
 *
 * Date:		3-19-96
 *
 * Modifications:
 *
 */

/*
 * The section below is included by every source file to obtain
 * configuration information.  All configuration items of the board
 * are contained in this section.
 */
#if   (defined(DBUG_CONFIG))

/***************************************************************/
/* MCF5206 Eval Board by Arnewsh                               */
/***************************************************************/
#if (defined(MCF5206_EVS))
#define MCF5200
#define MCF5206
#define MYPRINTF
#define NETWORK
#undef CHANGE_DRAM_WIDTH
#define SYMBOL_MATCH_MASK   (0xFFFFFFFF)
#define AMD29F010_16BIT_WIDE
#define FLASH_ADDRESS       (0xFFE00000)
#define DRAM_ADDRESS        (0x00000000)
#define IMM_ADDRESS         (0x10000000)
#define SRAM_ADDRESS        (0x20000000)
#define MC68HC901_ADDRESS   (0x30000000)
#define MC68HC901_IRQ       (0xF0)
#define ISA_ADDRESS         (0x40000000)

/*
 * Macro which returns a pointer to the Internal Memory Map
 */ 
#define mcf5206_get_immp()     ((MCF5206_IMM *)(IMM_ADDRESS))
#endif


#elif (defined(DBUG_COMMANDS))
/*
 * The section below is used by the file main.c to add additional entries
 * into the dBUG command table.  See that file for a detailed explanation
 * of the fields necessary for each entry.
 */
 
 
	{"updbug", 6,0,0,0,updbug, 			"Update dBUG in FLASH", ""},
	{"upuser", 6,0,0,0,upuser, 			"Update User FLASH", ""},
 
 
/*
 * The section below is used by the file setshow.c to add additional
 * entries into the setshow command.  See that file for a detailed
 * explanation of the fields necessary for each entry.
 */
 
#elif (defined(DBUG_SETSHOW))

#ifdef CHANGE_DRAM_WIDTH 
	{ "dramw",5,0,1,board_set_dramw,"8|16|32"},
#endif
	{ "nicbase",7,0,1,board_set_nicbase,"addr"},
	{ "nicirq",6,0,1,board_set_nicirq,"irq"},
 
 
/*
 * The section below is the normal include file.
 */
#else

void
updbug (int, char **);

void
upuser (int, char **);

void
board_set_dramw (int, char **);

void
board_set_nicbase (int, char **);

void
board_set_nicirq (int, char **);

NATURAL32
board_get_dramw (void);

NATURAL32
board_get_nicbase (void);

NATURAL32
board_get_nicirq (void);

#endif
