;
; File:		evsif.s
; Purpose:	MCF5206 EVS system call handler for dBUG.
;
; Notes:	These routines borrowed from Motorola IDP.
;
; Date:		7-9-96
;
; Modifications:
;
;

	; This file contains the low level interrupt service routines
	; for implementing a user system call interface into the monitor.

	xdef	_dbug_sc_handler
	xref	_asm_sc_exit_to_dbug

	section	.text

	; NOTE:  This handler uses the convention that D0,D1,A0,A1 are
	; scratch registers.  Thus these registers are preserved, in case
	; of return to dBUG

_dbug_sc_handler:
		lea			-12(sp),sp		; room for used regs
		movem.l		d2/a0-a1,(sp)
		extw.l		d0

		; Serial I/O routines, port A
		cmpi.l		#0x0010,d0
		beq			in_char
		cmpi.l		#0x0013,d0
		beq			out_char
		cmpi.l		#0x0014,d0
		beq			char_present

		; Invalid system call, save context and return to dBUG
		movem.l		(sp),d2/a0-a1
		lea			12(sp),sp
		move.l		sp,-(sp)
		jsr			_asm_sc_exit_to_dbug


in_char:
		jsr			_board_in_char	; char returned in D0
		move.l		d0,d1
		moveq.l		#0,d0
		bra			done

out_char:
		move.l		d1,-(sp)
		jsr			_board_out_char
		lea			4(sp),sp
		moveq.l		#0,d0
		bra			done

char_present:
		jsr			_board_char_present	; value returned in D0
		bra			done

		nop
		nop

done:
		movem.l		(sp),d2/a0-a1
		lea			12(sp),sp
		rte

		end
