/*
 * File:		eth.h
 * Purpose:		Definitions for Ethernet Frames.
 *
 * Notes:		See RFC 894 "A Standard for the Transmission of IP
 *				Datagrams over Ethernet Networks" for more details.
 *
 * Date:		11-8-95
 *
 * Modifications:
 *
 */

#ifndef _ETH_H
#define _ETH_H

#include "uif/dbug.h"

#ifndef ETHERNET_10MBIT
#define ETHERNET_10MBIT
#endif

/* 48-bit Ethernet Addresses */
typedef
UINT8 ETH_ADDR[6];

/* Pointer to an Ethernet Address */
typedef
UINT8 ETH_ADDR_P[];

/* 16-bit Ethernet Frame Type, ie. Protocol */
typedef
UINT16  ETH_FTYPE;

/* Defined Ethernet Frame Types */
#define FRAME_IP	(0x0800)
#define FRAME_ARP	(0x0806)
#define FRAME_RARP	(0x8035)

/* Maximum and Minimum Ethernet Frame Size (Data Field) */
#define ETH_MAX_SIZE	(1500)
#define ETH_MIN_SIZE	(46)

/* Maximum number of supported protoocls: IP, ARP, RARP */
#define	MAX_SUP_PROTO	(3)

/*******************************************************************/

#endif 	/* _ETH_H */
