/*
 * File:		board.h
 * Purpose:		Prototypes and definitions for generic board functions.
 *
 * Notes:
 *
 * Date:		3-13-96
 *
 * Modifications:
 *
 */

#ifndef _BOARD_H
#define _BOARD_H

void
board_init (void);

int
board_get_baud (void);

void
board_set_baud (int);

int
board_in_char (void);

void
board_out_char (int);

int
board_char_present (void);

void
board_out_char_flush (void);

int
board_next_char (int);

void
board_autoboot (void);

int
board_vda (ADDRESS);

void
board_enable_interrupts (void);

void
board_disable_interrupts (void);

void
board_msecond_wait (int);

void
board_second_wait (int);

/*
 * Network support routines
 */
void
board_set_client (unsigned char []);

unsigned char *
board_get_client (unsigned char []);

void
board_set_server (unsigned char []);

unsigned char *
board_get_server (unsigned char []);

void
board_set_gateway (unsigned char []);

unsigned char *
board_get_gateway (unsigned char []);

void
board_set_netmask (unsigned char []);

unsigned char *
board_get_netmask (unsigned char []);

void
board_set_filename (char []);

char *
board_get_filename (char []);

void
board_set_filetype (int);

int
board_get_filetype (void);

int
board_get_autoboot (void);

void
board_set_autoboot (int);

int
board_nic_init (void);

void
board_nic_done (void);


#endif	/* _BOARD_H */
